using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.OH
{
    /// <summary>
    /// 体检计划上报部门中间表
    /// </summary>
    [Description("体检计划上报部门中间表")]
    public class T_OH_HEALTH_EAXM_PLAN_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 体检计划记录ID
        /// </summary>
        [Description("体检计划表")]
        [DataFieldForeignKey("Nav_Plan", "Nav_ListDepartment")]
        public Guid PLAN_ID { get; set; }

        /// <summary>
        /// 导航: 体检计划记录
        /// </summary>
        [Description("导航: 体检计划表")]
        public virtual T_OH_HEALTH_EXAM_PLAN Nav_Plan { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 导航: 部门
        /// </summary>
        [Description("导航: 部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }


        /// <summary>
        /// 接收人ID
        /// </summary>
        [Description("接收人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        /// <summary>
        /// 导航: 部门
        /// </summary>
        [Description("导航: 接收人")]
        public virtual T_FM_USER Nav_User { get; set; }


        /// <summary>
        /// 是否包含公司领导
        /// </summary>
        [Description("是否包含公司领导")]
        public bool ISCONTENTMASTER { get; set; } = false;

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public PFStandardStatus STATUS { get; set; }

    }
}
